Welcome, Guest. Please Login
YaBB - Yet another Bulletin Board
 
  HomeHelpSearchLogin  
 
error message in BGM (Read 1122 times)
rounak
YaBB Newbies
*
Offline


Feed your monkey!

Posts: 2
error message in BGM
Jul 14th, 2010 at 8:45am
 
Hi,
I used HYPHY standard analysis file Quickselctiondetection.bf (under positive selection)  and selected BGM, for constructing a directed graph showing conditional dependencies of sites.
      However, I get an error
"The following error occurred:
Number of weights does not match number of observations in current data set."
followed by another error
"The following error occurred:
Problem occurred in line:ml_bgm_results=runBGM(_bgm_data)"
The dataset that i am using is flu.fasta (available on datamonkey websit)
I am able to construct the graph using same parameters on the web server however HYPHY gives  error.
I am attaching the console output and the entries that i gave .
help
Rounak
Back to top
 
 
IP Logged
 
Art Poon
Global Moderator
*****
Offline


Feed your monkey!

Posts: 0
Re: error message in BGM
Reply #1 - Jul 14th, 2010 at 10:38am
 
Hi Rounak,

Which version of HyPhy are you using?  The BGM code is perpetually under development, and I probably broke something in the version you're using.

Cheers,
- Art.
Back to top
 
 
IP Logged
 
rounak
YaBB Newbies
*
Offline


Feed your monkey!

Posts: 2
Re: error message in BGM
Reply #2 - Jul 14th, 2010 at 4:02pm
 
i am using the recommended version v2.0 developmental build. Which version can I use to use BGM?

Thanks
Rounak
Back to top
 
 
IP Logged
 
Art Poon
Global Moderator
*****
Offline


Feed your monkey!

Posts: 0
Re: error message in BGM
Reply #3 - Jul 15th, 2010 at 8:32am
 
Hi Rounak,
That's a really ancient bug - it looks like an outdated version of the BGM code got compiled into the 2.0 build.  :-P
Can you grab the SVN repository version and compile an up to date version?  I'll work on fixing the 2.0 build.

- Art.
Back to top
 
 
IP Logged
 
Art Poon
Global Moderator
*****
Offline


Feed your monkey!

Posts: 0
Re: error message in BGM
Reply #4 - Jul 15th, 2010 at 8:44am
 
Actually, it would be easier to just use the pre-2.0 build of HyPhy rather than having to compile it and fiddle with the settings in the SVN source. 

It looks like the wrong version of the BGM code was compiled into 2.0  Sorry about that.  Undecided
- Art.
Back to top
 
 
IP Logged